Subject: bug#7130: 24.0.50; EPA queries twice and doesn't cache passwords when decrypting files

From: Tassilo Horn <[email-masked]>
Date: Tue, 05 Oct 2010 08:49:40 +0200

Daiki Ueno <[email-masked]> writes:

>> Nay, I was wrong.  The gpg-agent (gnupg2) caching doesn't work for me,
>> too.
>
> Perhaps gpg-agent is not running on your X session at all?

I've explicitly started it before testing, but my error was that I
didn't source the agent info file.

> To set up gpg-agent, see "(gnupg) Invoking GPG-AGENT".

Great, I've went through that and set it up properly so that it gets
started the first time I login.  And now it works on console and also
with emacs, with regular files and symlinks, and ditto for symlinks to
version controlled files.

Thanks a lot for being that patient with me. :-)

Bye,
Tassilo